<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:419af8b0-3a30-48c3-9dd0-ad17fd7a7779,g:f3a820a3-0161-45ef-845f-86e992fa0bbc-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.kiterealty.com/role/ConsolidatedBalanceSheetsUnauditedKRGTrust" xlink:type="simple" xlink:href="krg-20230331.xsd#ConsolidatedBalanceSheetsUnauditedKRGTrust"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/ConsolidatedBalanceSheetsUnauditedKRGTrust" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_1a5f2838-7fe4-44b5-8311-8d276672db7f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockValue_408071f4-cdab-4ad5-b366-3b1f42c12ad5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommonStockValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_1a5f2838-7fe4-44b5-8311-8d276672db7f" xlink:to="loc_us-gaap_CommonStockValue_408071f4-cdab-4ad5-b366-3b1f42c12ad5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdditionalPaidInCapital_179d4ecc-195f-4fdf-b3ae-2aa334110b62" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdditionalPaidInCapital"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_1a5f2838-7fe4-44b5-8311-8d276672db7f" xlink:to="loc_us-gaap_AdditionalPaidInCapital_179d4ecc-195f-4fdf-b3ae-2aa334110b62" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_d0adf3ab-f0c1-4eef-942f-c1d57bfa8922" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_1a5f2838-7fe4-44b5-8311-8d276672db7f" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_d0adf3ab-f0c1-4eef-942f-c1d57bfa8922" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_60c39b9b-2deb-4f82-81fe-e0f6385b76ad" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_1a5f2838-7fe4-44b5-8311-8d276672db7f" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_60c39b9b-2deb-4f82-81fe-e0f6385b76ad" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_c073a607-d950-43a5-a72d-6536aa54df7e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_c073a607-d950-43a5-a72d-6536aa54df7e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_a20c0592-7085-4544-a1fa-f921a13067f3" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_a20c0592-7085-4544-a1fa-f921a13067f3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssets_b4ad7984-b05b-4598-b4e6-1dba854ed2db" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PrepaidExpenseAndOtherAssets"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_PrepaidExpenseAndOtherAssets_b4ad7984-b05b-4598-b4e6-1dba854ed2db" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredCostsCurrentAndNoncurrent_442f734c-7063-46a4-a761-ddfadbe90236" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredCostsCurrentAndNoncurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_DeferredCostsCurrentAndNoncurrent_442f734c-7063-46a4-a761-ddfadbe90236" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNet_5026b2fe-4030-4430-9b46-6c1e5ae1701e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsReceivableNet"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_AccountsReceivableNet_5026b2fe-4030-4430-9b46-6c1e5ae1701e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EquityMethodInvestments_2bf409ba-12ab-4a38-920b-c107ba10c374" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EquityMethodInvestments"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_EquityMethodInvestments_2bf409ba-12ab-4a38-920b-c107ba10c374" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RealEstateInvestmentPropertyNet_2c61e764-a01c-4862-853f-3cd48cf09154" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateInvestmentPropertyNet"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_RealEstateInvestmentPropertyNet_2c61e764-a01c-4862-853f-3cd48cf09154" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestrictedCashAndCashEquivalents_a4477894-ddfc-4b68-8fb5-03e698b1abc2" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RestrictedCashAndCashEquivalents"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_e774e382-f598-4a27-917e-cec487e357b2" xlink:to="loc_us-gaap_RestrictedCashAndCashEquivalents_a4477894-ddfc-4b68-8fb5-03e698b1abc2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_ba1cde86-7841-463b-a69c-f0ae21afb4e4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_204cea61-c03b-4706-99a8-a8db2f0e5094" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquity"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_ba1cde86-7841-463b-a69c-f0ae21afb4e4" xlink:to="loc_us-gaap_StockholdersEquity_204cea61-c03b-4706-99a8-a8db2f0e5094" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_MinorityInterest_443f9096-b91e-4c4d-afe3-2aadd39c014e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_MinorityInterest"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_ba1cde86-7841-463b-a69c-f0ae21afb4e4" xlink:to="loc_us-gaap_MinorityInterest_443f9096-b91e-4c4d-afe3-2aadd39c014e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_03a8c13d-eac9-4c46-b1ea-f721865bfa5b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsPayableAndAccruedLiabilitiesCurrentAndNoncurrent_930b537a-80e1-4565-8ea2-9c8e487b8784" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsPayableAndAccruedLiabilitiesCurrentAndNoncurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_03a8c13d-eac9-4c46-b1ea-f721865bfa5b" xlink:to="loc_us-gaap_AccountsPayableAndAccruedLiabilitiesCurrentAndNoncurrent_930b537a-80e1-4565-8ea2-9c8e487b8784" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebt_1b054077-9128-4ac4-9005-7a2939f11df2" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebt"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_03a8c13d-eac9-4c46-b1ea-f721865bfa5b" xlink:to="loc_us-gaap_LongTermDebt_1b054077-9128-4ac4-9005-7a2939f11df2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation_c4bed328-73b8-46bf-ab90-1e5e9cab9ca8" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_03a8c13d-eac9-4c46-b1ea-f721865bfa5b" xlink:to="loc_us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation_c4bed328-73b8-46bf-ab90-1e5e9cab9ca8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilities_322faf27-f404-49c5-9df0-1ee02b8f968b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_03a8c13d-eac9-4c46-b1ea-f721865bfa5b" xlink:to="loc_us-gaap_OtherLiabilities_322faf27-f404-49c5-9df0-1ee02b8f968b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_df8adb07-6236-46af-ac43-564bb4deebe5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesAndStockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_de810143-1013-485c-aac4-83f3efae3c31" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Liabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_df8adb07-6236-46af-ac43-564bb4deebe5" xlink:to="loc_us-gaap_Liabilities_de810143-1013-485c-aac4-83f3efae3c31" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommitmentsAndContingencies_b625f09f-8a95-4cba-b3da-6448de1975f6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommitmentsAndContingencies"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_df8adb07-6236-46af-ac43-564bb4deebe5" xlink:to="loc_us-gaap_CommitmentsAndContingencies_b625f09f-8a95-4cba-b3da-6448de1975f6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_TemporaryEquityCarryingAmountIncludingPortionAttributableToNoncontrollingInterests_f37663c4-450e-419e-a247-9cbd1179b437" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_TemporaryEquityCarryingAmountIncludingPortionAttributableToNoncontrollingInterests"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_df8adb07-6236-46af-ac43-564bb4deebe5" xlink:to="loc_us-gaap_TemporaryEquityCarryingAmountIncludingPortionAttributableToNoncontrollingInterests_f37663c4-450e-419e-a247-9cbd1179b437" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_d8b9f617-0920-4591-bffb-c9c0dedb9a85" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_df8adb07-6236-46af-ac43-564bb4deebe5" xlink:to="loc_us-gaap_StockholdersEquityIncludingPortionAttributableToNoncontrollingInterest_d8b9f617-0920-4591-bffb-c9c0dedb9a85" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RealEstateInvestmentPropertyNet_6517a5ac-7728-4530-b205-cb76ed6b4ebc" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateInvestmentPropertyNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RealEstateInvestmentPropertyAtCost_da435c50-ed10-47fa-8135-114076a697b5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateInvestmentPropertyAtCost"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_RealEstateInvestmentPropertyNet_6517a5ac-7728-4530-b205-cb76ed6b4ebc" xlink:to="loc_us-gaap_RealEstateInvestmentPropertyAtCost_da435c50-ed10-47fa-8135-114076a697b5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RealEstateInvestmentPropertyAccumulatedDepreciation_c1971f14-aaa3-4c8e-b7c6-f348ad01da2f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateInvestmentPropertyAccumulatedDepreciation"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_RealEstateInvestmentPropertyNet_6517a5ac-7728-4530-b205-cb76ed6b4ebc" xlink:to="loc_us-gaap_RealEstateInvestmentPropertyAccumulatedDepreciation_c1971f14-aaa3-4c8e-b7c6-f348ad01da2f" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/ConsolidatedStatementsofOperationsandComprehensiveIncomeUnauditedKRGTrust" xlink:type="simple" xlink:href="krg-20230331.xsd#ConsolidatedStatementsofOperationsandComprehensiveIncomeUnauditedKRGTrust"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/ConsolidatedStatementsofOperationsandComprehensiveIncomeUnauditedKRGTrust" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostsAndExpenses_23075725-25c2-4ec4-8423-988c942cd1ce" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CostsAndExpenses"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GeneralAndAdministrativeExpense_ca16c14c-25ab-4467-aa04-2a55cb2343cd" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GeneralAndAdministrativeExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CostsAndExpenses_23075725-25c2-4ec4-8423-988c942cd1ce" xlink:to="loc_us-gaap_GeneralAndAdministrativeExpense_ca16c14c-25ab-4467-aa04-2a55cb2343cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RealEstateTaxExpense_b0ec7e6c-fa8e-4be2-a16d-f9aa7040e4b5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateTaxExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CostsAndExpenses_23075725-25c2-4ec4-8423-988c942cd1ce" xlink:to="loc_us-gaap_RealEstateTaxExpense_b0ec7e6c-fa8e-4be2-a16d-f9aa7040e4b5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DepreciationAndAmortization_34cc36b0-66bc-43eb-a147-5f67075afca3" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DepreciationAndAmortization"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CostsAndExpenses_23075725-25c2-4ec4-8423-988c942cd1ce" xlink:to="loc_us-gaap_DepreciationAndAmortization_34cc36b0-66bc-43eb-a147-5f67075afca3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingCostsAndExpenses_5d0dace3-3332-4c67-8ee6-b903225e1986" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingCostsAndExpenses"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CostsAndExpenses_23075725-25c2-4ec4-8423-988c942cd1ce" xlink:to="loc_us-gaap_OperatingCostsAndExpenses_5d0dace3-3332-4c67-8ee6-b903225e1986" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationAcquisitionRelatedCosts_4bce730f-f7a7-44ac-b09c-c60ec3e12646" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_BusinessCombinationAcquisitionRelatedCosts"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CostsAndExpenses_23075725-25c2-4ec4-8423-988c942cd1ce" xlink:to="loc_us-gaap_BusinessCombinationAcquisitionRelatedCosts_4bce730f-f7a7-44ac-b09c-c60ec3e12646" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_65d9048d-6872-4ac3-86a2-75a260cd0ab1" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProfitLoss_21802b85-feae-4b84-b3f2-caf832a817b1" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_65d9048d-6872-4ac3-86a2-75a260cd0ab1" xlink:to="loc_us-gaap_ProfitLoss_21802b85-feae-4b84-b3f2-caf832a817b1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAttributableToNoncontrollingInterest_c8ba3cd6-206f-45a6-80a8-77b65281c517" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAttributableToNoncontrollingInterest"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_65d9048d-6872-4ac3-86a2-75a260cd0ab1" xlink:to="loc_us-gaap_NetIncomeLossAttributableToNoncontrollingInterest_c8ba3cd6-206f-45a6-80a8-77b65281c517" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTax_cb43e334-3d4e-4fce-a06a-e1c4f338bad1" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_b59924ff-2e43-4d34-9834-5aba232b0c51" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax_cb43e334-3d4e-4fce-a06a-e1c4f338bad1" xlink:to="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_b59924ff-2e43-4d34-9834-5aba232b0c51" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTaxAttributableToNoncontrollingInterest_df3ac3cc-5e36-4808-987a-35cb012a29a7" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTaxAttributableToNoncontrollingInterest"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTax_cb43e334-3d4e-4fce-a06a-e1c4f338bad1" xlink:to="loc_us-gaap_ComprehensiveIncomeNetOfTaxAttributableToNoncontrollingInterest_df3ac3cc-5e36-4808-987a-35cb012a29a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_db4311b7-7266-45fa-9b13-a27c01eb47b0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Revenues_35d72f36-9a88-414d-aa5f-e18b293a3b04" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Revenues"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_db4311b7-7266-45fa-9b13-a27c01eb47b0" xlink:to="loc_us-gaap_Revenues_35d72f36-9a88-414d-aa5f-e18b293a3b04" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainLossOnSaleOfProperties_e24feb21-2770-4133-b127-9881d05ef61a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainLossOnSaleOfProperties"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_db4311b7-7266-45fa-9b13-a27c01eb47b0" xlink:to="loc_us-gaap_GainLossOnSaleOfProperties_e24feb21-2770-4133-b127-9881d05ef61a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostsAndExpenses_30e561e7-237f-444a-87dc-1580c7acd35d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CostsAndExpenses"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_db4311b7-7266-45fa-9b13-a27c01eb47b0" xlink:to="loc_us-gaap_CostsAndExpenses_30e561e7-237f-444a-87dc-1580c7acd35d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_cc31a0e2-4571-4006-adec-7a293fe562ed" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProfitLoss_e3251d0d-ac3d-4409-b260-ce1e5c04d97d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_cc31a0e2-4571-4006-adec-7a293fe562ed" xlink:to="loc_us-gaap_ProfitLoss_e3251d0d-ac3d-4409-b260-ce1e5c04d97d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossAfterReclassificationAndTax_30d6d4e7-dc6c-46e5-bb2c-1e3d09d667d0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossAfterReclassificationAndTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ComprehensiveIncomeNetOfTaxIncludingPortionAttributableToNoncontrollingInterest_cc31a0e2-4571-4006-adec-7a293fe562ed" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossCashFlowHedgeGainLossAfterReclassificationAndTax_30d6d4e7-dc6c-46e5-bb2c-1e3d09d667d0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Revenues_90235e19-b2b5-4601-bf0b-41446367e5a8" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Revenues"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLeaseIncome_dc0ba2c6-ba7c-4e6f-9d3f-605134172497" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLeaseIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Revenues_90235e19-b2b5-4601-bf0b-41446367e5a8" xlink:to="loc_us-gaap_OperatingLeaseLeaseIncome_dc0ba2c6-ba7c-4e6f-9d3f-605134172497" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerIncludingAssessedTax_426cbce2-0f22-40f4-87d3-04519624f45b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RevenueFromContractWithCustomerIncludingAssessedTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Revenues_90235e19-b2b5-4601-bf0b-41446367e5a8" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerIncludingAssessedTax_426cbce2-0f22-40f4-87d3-04519624f45b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProfitLoss_b1b47393-fdbd-466e-aabc-d798493d28b6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_2f0ce1d8-356c-4197-b3df-8205f4dd4048" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ProfitLoss_b1b47393-fdbd-466e-aabc-d798493d28b6" xlink:to="loc_us-gaap_OperatingIncomeLoss_2f0ce1d8-356c-4197-b3df-8205f4dd4048" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestExpense_10d1bfc3-29ec-4eb9-9d12-59a035b2f050" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ProfitLoss_b1b47393-fdbd-466e-aabc-d798493d28b6" xlink:to="loc_us-gaap_InterestExpense_10d1bfc3-29ec-4eb9-9d12-59a035b2f050" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_917b4e3d-af41-4a47-bde8-011819fa16aa" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxExpenseBenefit"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ProfitLoss_b1b47393-fdbd-466e-aabc-d798493d28b6" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_917b4e3d-af41-4a47-bde8-011819fa16aa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromEquityMethodInvestments_fdeb066c-a7f2-465b-8e97-94071faa89f0" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeLossFromEquityMethodInvestments"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ProfitLoss_b1b47393-fdbd-466e-aabc-d798493d28b6" xlink:to="loc_us-gaap_IncomeLossFromEquityMethodInvestments_fdeb066c-a7f2-465b-8e97-94071faa89f0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NonoperatingIncomeExpense_5c7263d0-1da0-47c9-90af-570934e1f31f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NonoperatingIncomeExpense"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_ProfitLoss_b1b47393-fdbd-466e-aabc-d798493d28b6" xlink:to="loc_us-gaap_NonoperatingIncomeExpense_5c7263d0-1da0-47c9-90af-570934e1f31f" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/ConsolidatedStatementsofCashFlowsUnauditedKRGTrust" xlink:type="simple" xlink:href="krg-20230331.xsd#ConsolidatedStatementsofCashFlowsUnauditedKRGTrust"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/ConsolidatedStatementsofCashFlowsUnauditedKRGTrust" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_0e132ea3-9f19-4f6b-95b8-f53cdc59a7bd" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsForRepurchaseOfCommonStock"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_PaymentsForRepurchaseOfCommonStock_0e132ea3-9f19-4f6b-95b8-f53cdc59a7bd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsOfDividendsCommonStock_6beb9717-cd68-4a2d-b897-0aedbcb4145f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsOfDividendsCommonStock"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_PaymentsOfDividendsCommonStock_6beb9717-cd68-4a2d-b897-0aedbcb4145f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RepaymentsOfLongTermDebt_0b5df3ba-3acf-4e1c-831f-d8a226dfa3a6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RepaymentsOfLongTermDebt"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_RepaymentsOfLongTermDebt_0b5df3ba-3acf-4e1c-831f-d8a226dfa3a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentOfFinancingAndStockIssuanceCosts_5316caae-baf9-41c6-bd13-cd610bef3274" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentOfFinancingAndStockIssuanceCosts"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_PaymentOfFinancingAndStockIssuanceCosts_5316caae-baf9-41c6-bd13-cd610bef3274" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromIssuanceOfCommonStock_0ce4d452-6368-4519-833f-1671eebb7e4c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromIssuanceOfCommonStock"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_ProceedsFromIssuanceOfCommonStock_0ce4d452-6368-4519-833f-1671eebb7e4c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromIssuanceOfLongTermDebt_f5fbb886-4854-4d35-b941-3e77db78b87e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromIssuanceOfLongTermDebt"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_ProceedsFromIssuanceOfLongTermDebt_f5fbb886-4854-4d35-b941-3e77db78b87e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsOfDividendsMinorityInterest_b99fec1b-d6c3-4e60-a069-eaa3af40cb7c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsOfDividendsMinorityInterest"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_57f53717-d29b-477d-9183-eb2eea803ccc" xlink:to="loc_us-gaap_PaymentsOfDividendsMinorityInterest_b99fec1b-d6c3-4e60-a069-eaa3af40cb7c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_a965f021-e453-425b-a010-66a52812d899" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d9a2ea55-6e6e-4acf-9641-15ae4ab745c9" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_a965f021-e453-425b-a010-66a52812d899" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d9a2ea55-6e6e-4acf-9641-15ae4ab745c9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_eafdc928-a9f7-42c9-9c48-e9af91f1b5a7" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_a965f021-e453-425b-a010-66a52812d899" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_eafdc928-a9f7-42c9-9c48-e9af91f1b5a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_023dab06-bdcc-41a9-9080-cd779122e000" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_a965f021-e453-425b-a010-66a52812d899" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_023dab06-bdcc-41a9-9080-cd779122e000" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquireOtherPropertyPlantAndEquipment_2b1c3e2c-b16d-4e39-ac9f-5009cd8e06c9" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquireOtherPropertyPlantAndEquipment"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:to="loc_us-gaap_PaymentsToAcquireOtherPropertyPlantAndEquipment_2b1c3e2c-b16d-4e39-ac9f-5009cd8e06c9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromCollectionOfNotesReceivable_b989325e-929c-4f03-834b-bc04392ce0a9" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromCollectionOfNotesReceivable"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:to="loc_us-gaap_ProceedsFromCollectionOfNotesReceivable_b989325e-929c-4f03-834b-bc04392ce0a9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_IncreaseDecreaseInRetainagePayableInvesting_a118027d-5558-4341-b92f-10edab8a24dd" xlink:href="krg-20230331.xsd#krg_IncreaseDecreaseInRetainagePayableInvesting"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:to="loc_krg_IncreaseDecreaseInRetainagePayableInvesting_a118027d-5558-4341-b92f-10edab8a24dd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquireRealEstate_e15749de-b998-42ea-b8bc-3e8aa1d68697" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquireRealEstate"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:to="loc_us-gaap_PaymentsToAcquireRealEstate_e15749de-b998-42ea-b8bc-3e8aa1d68697" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromSaleOfRealEstateHeldforinvestment_61bea336-6a8d-40d3-945a-4ba0f6c5b627" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromSaleOfRealEstateHeldforinvestment"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:to="loc_us-gaap_ProceedsFromSaleOfRealEstateHeldforinvestment_61bea336-6a8d-40d3-945a-4ba0f6c5b627" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromEquityMethodInvestmentDividendsOrDistributionsReturnOfCapital_a2327333-b825-4022-9faa-bda6d02ee93e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromEquityMethodInvestmentDividendsOrDistributionsReturnOfCapital"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_b129afa0-14d1-485e-8068-a4e67995e54c" xlink:to="loc_us-gaap_ProceedsFromEquityMethodInvestmentDividendsOrDistributionsReturnOfCapital_a2327333-b825-4022-9faa-bda6d02ee93e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StraightLineRent_84211cfc-8bfa-486d-bb61-c453168a6b3d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StraightLineRent"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_StraightLineRent_84211cfc-8bfa-486d-bb61-c453168a6b3d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfDebtDiscountPremium_ba737fef-febc-4878-ac61-b9f7e4a89047" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AmortizationOfDebtDiscountPremium"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_AmortizationOfDebtDiscountPremium_ba737fef-febc-4878-ac61-b9f7e4a89047" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainLossOnDispositionOfAssets_488afcf8-06e5-4251-ba24-fedfbd54308e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_GainLossOnDispositionOfAssets"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_GainLossOnDispositionOfAssets_488afcf8-06e5-4251-ba24-fedfbd54308e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingAssets_cb310aef-00ea-4611-8017-e0ed72d19e3a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInOtherOperatingAssets"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingAssets_cb310aef-00ea-4611-8017-e0ed72d19e3a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DepreciationDepletionAndAmortization_d1d35dfb-cb39-4fa0-a6f6-aa57354962a6" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DepreciationDepletionAndAmortization"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_DepreciationDepletionAndAmortization_d1d35dfb-cb39-4fa0-a6f6-aa57354962a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsAndOtherReceivables_66955111-3ce1-4ad1-8a95-159ee8360a46" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInAccountsAndOtherReceivables"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsAndOtherReceivables_66955111-3ce1-4ad1-8a95-159ee8360a46" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfAboveAndBelowMarketLeases_4e6cee14-d588-4c62-b20a-cd635d974e45" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AmortizationOfAboveAndBelowMarketLeases"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_AmortizationOfAboveAndBelowMarketLeases_4e6cee14-d588-4c62-b20a-cd635d974e45" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProfitLoss_83e05c60-f344-4cad-a155-8e140c83af5b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfitLoss"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_ProfitLoss_83e05c60-f344-4cad-a155-8e140c83af5b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingLiabilities_573008c8-6ec0-40ee-91d3-5e49e4d8408e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInOtherOperatingLiabilities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingLiabilities_573008c8-6ec0-40ee-91d3-5e49e4d8408e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ShareBasedCompensation_7c462c39-58de-4926-b74d-1ca2bcb5a2af" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ShareBasedCompensation"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_d6026286-7cc3-4eb8-b23a-054fa0c5db3b" xlink:to="loc_us-gaap_ShareBasedCompensation_7c462c39-58de-4926-b74d-1ca2bcb5a2af" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/ConsolidatedStatementsofOperationsandComprehensiveIncomeUnauditedKRGLP" xlink:type="simple" xlink:href="krg-20230331.xsd#ConsolidatedStatementsofOperationsandComprehensiveIncomeUnauditedKRGLP"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/ConsolidatedStatementsofOperationsandComprehensiveIncomeUnauditedKRGLP" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_db8f9caf-a2eb-455a-9d84-cd2d99b5d5e5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAllocatedToGeneralPartners_09fb6042-f575-483d-8cb0-6bca37934593" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAllocatedToGeneralPartners"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_db8f9caf-a2eb-455a-9d84-cd2d99b5d5e5" xlink:to="loc_us-gaap_NetIncomeLossAllocatedToGeneralPartners_09fb6042-f575-483d-8cb0-6bca37934593" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLossAllocatedToLimitedPartners_7a2da8e1-ce62-4f08-bbcb-a31e6c9ab580" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLossAllocatedToLimitedPartners"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLossAvailableToCommonStockholdersBasic_db8f9caf-a2eb-455a-9d84-cd2d99b5d5e5" xlink:to="loc_us-gaap_NetIncomeLossAllocatedToLimitedPartners_7a2da8e1-ce62-4f08-bbcb-a31e6c9ab580" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESInvestmentPropertiesDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESInvestmentPropertiesDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESInvestmentPropertiesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RealEstateInvestmentPropertyAtCost_c33d4998-a7bd-42ee-8414-e960c2c7f434" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RealEstateInvestmentPropertyAtCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_LandInvestmentBuildingAndImprovements_21afacd1-7be7-4fe6-b6a4-5bc9a00dd61f" xlink:href="krg-20230331.xsd#krg_LandInvestmentBuildingAndImprovements"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_RealEstateInvestmentPropertyAtCost_c33d4998-a7bd-42ee-8414-e960c2c7f434" xlink:to="loc_krg_LandInvestmentBuildingAndImprovements_21afacd1-7be7-4fe6-b6a4-5bc9a00dd61f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DevelopmentInProcess_46b67df1-00f9-492a-b122-ca624b81fe6d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DevelopmentInProcess"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_RealEstateInvestmentPropertyAtCost_c33d4998-a7bd-42ee-8414-e960c2c7f434" xlink:to="loc_us-gaap_DevelopmentInProcess_46b67df1-00f9-492a-b122-ca624b81fe6d" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESScheduleofRentalIncomeDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESScheduleofRentalIncomeDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESScheduleofRentalIncomeDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLeaseIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseVariableLeaseIncome_36991fc0-861c-4044-93a1-259c295b5eb3" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseVariableLeaseIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:to="loc_us-gaap_OperatingLeaseVariableLeaseIncome_36991fc0-861c-4044-93a1-259c295b5eb3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OperatingLeaseStraightLineRentAdjustments_0d321f1b-0568-455f-82f1-968c04efc109" xlink:href="krg-20230331.xsd#krg_OperatingLeaseStraightLineRentAdjustments"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:to="loc_krg_OperatingLeaseStraightLineRentAdjustments_0d321f1b-0568-455f-82f1-968c04efc109" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OperatingLeaseAmortizationOfInPlaceLeaseLiabilities_dcbc9d79-cb65-4ded-b963-5f1ed78c6b04" xlink:href="krg-20230331.xsd#krg_OperatingLeaseAmortizationOfInPlaceLeaseLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:to="loc_krg_OperatingLeaseAmortizationOfInPlaceLeaseLiabilities_dcbc9d79-cb65-4ded-b963-5f1ed78c6b04" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLeaseIncomeLeasePayments_68f3f1aa-3ab7-42a1-bcb9-d1847b92b21a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLeaseIncomeLeasePayments"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:to="loc_us-gaap_OperatingLeaseLeaseIncomeLeasePayments_68f3f1aa-3ab7-42a1-bcb9-d1847b92b21a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OperatingLeaseCreditLossRecoveryReserve_5e1fd6ff-cb9c-436d-80f9-39dba00c4de6" xlink:href="krg-20230331.xsd#krg_OperatingLeaseCreditLossRecoveryReserve"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:to="loc_krg_OperatingLeaseCreditLossRecoveryReserve_5e1fd6ff-cb9c-436d-80f9-39dba00c4de6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OperatingLeaseStraightLineRentRecoveryReserveForUncollectibility_c106a1dd-a623-4f7f-8610-49a67f5cd04a" xlink:href="krg-20230331.xsd#krg_OperatingLeaseStraightLineRentRecoveryReserveForUncollectibility"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingLeaseLeaseIncome_9332f7a0-7df7-49e8-be71-543487b53c7e" xlink:to="loc_krg_OperatingLeaseStraightLineRentRecoveryReserveForUncollectibility_c106a1dd-a623-4f7f-8610-49a67f5cd04a" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESRedeemableNoncontrollingInterestsDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESRedeemableNoncontrollingInterestsDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/SUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESRedeemableNoncontrollingInterestsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RedeemableNoncontrollingInterestEquityCarryingAmount_79a35235-b9e2-4fc2-8db3-51419417ced9" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RedeemableNoncontrollingInterestEquityCarryingAmount"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RedeemableNoncontrollingInterestEquityPreferredCarryingAmount_94601574-a3a0-489d-b8f2-314ac36c7d8d" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RedeemableNoncontrollingInterestEquityPreferredCarryingAmount"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_RedeemableNoncontrollingInterestEquityCarryingAmount_79a35235-b9e2-4fc2-8db3-51419417ced9" xlink:to="loc_us-gaap_RedeemableNoncontrollingInterestEquityPreferredCarryingAmount_94601574-a3a0-489d-b8f2-314ac36c7d8d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RedeemableNoncontrollingInterestEquityOtherCarryingAmount_b008d784-032c-4275-b45f-6ceb21afbd0a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RedeemableNoncontrollingInterestEquityOtherCarryingAmount"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_RedeemableNoncontrollingInterestEquityCarryingAmount_79a35235-b9e2-4fc2-8db3-51419417ced9" xlink:to="loc_us-gaap_RedeemableNoncontrollingInterestEquityOtherCarryingAmount_b008d784-032c-4275-b45f-6ceb21afbd0a" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/DISPOSITIONSAssetsandLiabilitiesAssociatedwithInvestmentPropertyHeldforSaleDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#DISPOSITIONSAssetsandLiabilitiesAssociatedwithInvestmentPropertyHeldforSaleDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/DISPOSITIONSAssetsandLiabilitiesAssociatedwithInvestmentPropertyHeldforSaleDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation_8644d74c-db85-4f0e-975f-35ea777708aa" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DisposalGroupIncludingDiscontinuedOperationAccountsPayableAndAccruedLiabilities_e55a398d-5628-4012-a47f-0fad13ed8bb8" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DisposalGroupIncludingDiscontinuedOperationAccountsPayableAndAccruedLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation_8644d74c-db85-4f0e-975f-35ea777708aa" xlink:to="loc_us-gaap_DisposalGroupIncludingDiscontinuedOperationAccountsPayableAndAccruedLiabilities_e55a398d-5628-4012-a47f-0fad13ed8bb8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DisposalGroupIncludingDiscontinuedOperationDeferredRevenueAndOtherLiabilities_49456286-e295-46e1-9099-a03cb11dd890" xlink:href="krg-20230331.xsd#krg_DisposalGroupIncludingDiscontinuedOperationDeferredRevenueAndOtherLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesOfDisposalGroupIncludingDiscontinuedOperation_8644d74c-db85-4f0e-975f-35ea777708aa" xlink:to="loc_krg_DisposalGroupIncludingDiscontinuedOperationDeferredRevenueAndOtherLiabilities_49456286-e295-46e1-9099-a03cb11dd890" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet_368b3f4a-735f-4c42-909a-9d09661221f3" xlink:href="krg-20230331.xsd#krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyAtCost_66467801-dd1b-418e-a306-4eb9b8aec6de" xlink:href="krg-20230331.xsd#krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyAtCost"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet_368b3f4a-735f-4c42-909a-9d09661221f3" xlink:to="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyAtCost_66467801-dd1b-418e-a306-4eb9b8aec6de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyAccumulatedDepreciation_c5bdc66c-2d3e-47df-b7f1-d4f10c616132" xlink:href="krg-20230331.xsd#krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyAccumulatedDepreciation"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet_368b3f4a-735f-4c42-909a-9d09661221f3" xlink:to="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyAccumulatedDepreciation_c5bdc66c-2d3e-47df-b7f1-d4f10c616132" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_01aeb8a6-f294-4ec4-8c93-451044a66234" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DisposalGroupIncludingDiscontinuedOperationDeferredCosts_3518fdbb-e6f8-45ba-8d42-aa6a7451b6fe" xlink:href="krg-20230331.xsd#krg_DisposalGroupIncludingDiscontinuedOperationDeferredCosts"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_01aeb8a6-f294-4ec4-8c93-451044a66234" xlink:to="loc_krg_DisposalGroupIncludingDiscontinuedOperationDeferredCosts_3518fdbb-e6f8-45ba-8d42-aa6a7451b6fe" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet_efaf00ef-701c-4a8d-aa30-e4cf471a7a5f" xlink:href="krg-20230331.xsd#krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_01aeb8a6-f294-4ec4-8c93-451044a66234" xlink:to="loc_krg_DisposalGroupIncludingDiscontinuedOperationRealEstateInvestmentPropertyNet_efaf00ef-701c-4a8d-aa30-e4cf471a7a5f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DisposalGroupIncludingDiscontinuedOperationAccountsNotesAndLoansReceivableNet_4b5d5fa7-71e0-46a0-8c7a-9e36479930d5" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DisposalGroupIncludingDiscontinuedOperationAccountsNotesAndLoansReceivableNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_01aeb8a6-f294-4ec4-8c93-451044a66234" xlink:to="loc_us-gaap_DisposalGroupIncludingDiscontinuedOperationAccountsNotesAndLoansReceivableNet_4b5d5fa7-71e0-46a0-8c7a-9e36479930d5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DisposalGroupIncludingDiscontinuedOperationPrepaidAndOtherAssets_2516bfff-a2cf-4e02-ba0f-b02be611007b" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DisposalGroupIncludingDiscontinuedOperationPrepaidAndOtherAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsOfDisposalGroupIncludingDiscontinuedOperation_01aeb8a6-f294-4ec4-8c93-451044a66234" xlink:to="loc_us-gaap_DisposalGroupIncludingDiscontinuedOperationPrepaidAndOtherAssets_2516bfff-a2cf-4e02-ba0f-b02be611007b" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/DEFERREDCOSTSANDINTANGIBLESNETDeferredCostsDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#DEFERREDCOSTSANDINTANGIBLESNETDeferredCostsDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/DEFERREDCOSTSANDINTANGIBLESNETDeferredCostsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredCostsIncludingAssetHeldForSale_b7988d74-3ea0-4027-b332-1c093c2244f3" xlink:href="krg-20230331.xsd#krg_DeferredCostsIncludingAssetHeldForSale"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredCostsAccumulatedAmortization_2a22d61b-422c-4878-9d15-f81737d9763a" xlink:href="krg-20230331.xsd#krg_DeferredCostsAccumulatedAmortization"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_DeferredCostsIncludingAssetHeldForSale_b7988d74-3ea0-4027-b332-1c093c2244f3" xlink:to="loc_krg_DeferredCostsAccumulatedAmortization_2a22d61b-422c-4878-9d15-f81737d9763a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredCostsGross_de728c4e-6587-4c7a-a2ea-757994ec6cd3" xlink:href="krg-20230331.xsd#krg_DeferredCostsGross"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_DeferredCostsIncludingAssetHeldForSale_b7988d74-3ea0-4027-b332-1c093c2244f3" xlink:to="loc_krg_DeferredCostsGross_de728c4e-6587-4c7a-a2ea-757994ec6cd3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredCostsCurrentAndNoncurrent_b88f05bb-223c-4e4a-ba00-2403e5a4b3a9" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredCostsCurrentAndNoncurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredCostsIncludingAssetHeldForSale_32604990-d5fa-4442-b1bb-3203bb6686f7" xlink:href="krg-20230331.xsd#krg_DeferredCostsIncludingAssetHeldForSale"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_DeferredCostsCurrentAndNoncurrent_b88f05bb-223c-4e4a-ba00-2403e5a4b3a9" xlink:to="loc_krg_DeferredCostsIncludingAssetHeldForSale_32604990-d5fa-4442-b1bb-3203bb6686f7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredCostsAssetHeldForSale_910a9e32-552e-4919-86ab-12cdcc5343da" xlink:href="krg-20230331.xsd#krg_DeferredCostsAssetHeldForSale"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_DeferredCostsCurrentAndNoncurrent_b88f05bb-223c-4e4a-ba00-2403e5a4b3a9" xlink:to="loc_krg_DeferredCostsAssetHeldForSale_910a9e32-552e-4919-86ab-12cdcc5343da" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredCostsGross_aef9e8ce-dfc2-45d4-8dc4-81e31b8cd03a" xlink:href="krg-20230331.xsd#krg_DeferredCostsGross"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetAcquiredInPlaceLeases_5433fc8a-5787-40bc-b10e-5652af91d98c" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_FiniteLivedIntangibleAssetAcquiredInPlaceLeases"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_DeferredCostsGross_aef9e8ce-dfc2-45d4-8dc4-81e31b8cd03a" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetAcquiredInPlaceLeases_5433fc8a-5787-40bc-b10e-5652af91d98c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_DeferredLeasingCostsAndOther_5c30b01f-3bd2-4386-adbf-1b5422138e19" xlink:href="krg-20230331.xsd#krg_DeferredLeasingCostsAndOther"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_DeferredCostsGross_aef9e8ce-dfc2-45d4-8dc4-81e31b8cd03a" xlink:to="loc_krg_DeferredLeasingCostsAndOther_5c30b01f-3bd2-4386-adbf-1b5422138e19" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/DEFERREDREVENUEINTANGIBLESNETANDOTHERLIABILITIESDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#DEFERREDREVENUEINTANGIBLESNETANDOTHERLIABILITIESDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/DEFERREDREVENUEINTANGIBLESNETANDOTHERLIABILITIESDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilities_9b8c46ff-9921-4d9f-b205-31ab60ba74c4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OtherLiabilitiesAssetHeldForSale_ab45a7e8-7a0d-46fd-b646-a24a5dd9ca93" xlink:href="krg-20230331.xsd#krg_OtherLiabilitiesAssetHeldForSale"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherLiabilities_9b8c46ff-9921-4d9f-b205-31ab60ba74c4" xlink:to="loc_krg_OtherLiabilitiesAssetHeldForSale_ab45a7e8-7a0d-46fd-b646-a24a5dd9ca93" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_e66e71d5-d71d-4f10-a3da-65da3ec4d1a6" xlink:href="krg-20230331.xsd#krg_OtherLiabilitiesIncludingAssetHeldForSale"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherLiabilities_9b8c46ff-9921-4d9f-b205-31ab60ba74c4" xlink:to="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_e66e71d5-d71d-4f10-a3da-65da3ec4d1a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_a078e49e-5f8d-4253-813f-bb3434b9d9d5" xlink:href="krg-20230331.xsd#krg_OtherLiabilitiesIncludingAssetHeldForSale"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiability_d8e78e05-b651-4de5-82b2-79eb6e747cd3" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiability"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_a078e49e-5f8d-4253-813f-bb3434b9d9d5" xlink:to="loc_us-gaap_OperatingLeaseLiability_d8e78e05-b651-4de5-82b2-79eb6e747cd3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdvanceRent_efc3b198-1c15-49e8-b314-06bdc5a7e81f" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdvanceRent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_a078e49e-5f8d-4253-813f-bb3434b9d9d5" xlink:to="loc_us-gaap_AdvanceRent_efc3b198-1c15-49e8-b314-06bdc5a7e81f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerLiability_a3493607-beee-4e07-859a-eee4c0a07739" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerLiability"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_a078e49e-5f8d-4253-813f-bb3434b9d9d5" xlink:to="loc_us-gaap_ContractWithCustomerLiability_a3493607-beee-4e07-859a-eee4c0a07739" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BelowMarketLeaseGross_b35e85ed-dfb2-4b83-a306-5d32bf909df4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_BelowMarketLeaseGross"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_krg_OtherLiabilitiesIncludingAssetHeldForSale_a078e49e-5f8d-4253-813f-bb3434b9d9d5" xlink:to="loc_us-gaap_BelowMarketLeaseGross_b35e85ed-dfb2-4b83-a306-5d32bf909df4" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.kiterealty.com/role/MORTGAGEANDOTHERINDEBTEDNESSScheduleofIndebtednessDetails" xlink:type="simple" xlink:href="krg-20230331.xsd#MORTGAGEANDOTHERINDEBTEDNESSScheduleofIndebtednessDetails"/>
  <link:calculationLink xlink:role="http://www.kiterealty.com/role/MORTGAGEANDOTHERINDEBTEDNESSScheduleofIndebtednessDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebt_b84b5168-9124-4895-82d0-d940c51b99c4" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebt"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredFinanceCostsNet_920327b4-e5ed-4b5f-bb63-f3acfdc79b73" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredFinanceCostsNet"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LongTermDebt_b84b5168-9124-4895-82d0-d940c51b99c4" xlink:to="loc_us-gaap_DeferredFinanceCostsNet_920327b4-e5ed-4b5f-bb63-f3acfdc79b73" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DebtInstrumentUnamortizedDiscountPremiumNet_918cdc9f-1256-437f-820d-2c748b2a003a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentUnamortizedDiscountPremiumNet"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LongTermDebt_b84b5168-9124-4895-82d0-d940c51b99c4" xlink:to="loc_us-gaap_DebtInstrumentUnamortizedDiscountPremiumNet_918cdc9f-1256-437f-820d-2c748b2a003a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DebtInstrumentCarryingAmount_a67f7949-b05b-4328-b0fe-dc7346af8e7a" xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentCarryingAmount"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LongTermDebt_b84b5168-9124-4895-82d0-d940c51b99c4" xlink:to="loc_us-gaap_DebtInstrumentCarryingAmount_a67f7949-b05b-4328-b0fe-dc7346af8e7a" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
